#ifndef GAME_H
#define GAME_H

enum Color {
  WHITE = 0,
  BLACK
};

#include <string>

class CGame {

  int m_CurrentPlayer;
  class CField *m_pField;
  bool m_IsOver;
  bool processInput(std::string line);
  bool parsePosition(std::string pos, int *x, int *y);

  class CKing *getActiveKing();

public:

  CGame();

  void start();

};

#endif
