#ifndef PIECE_KING_H
#define PIECE_KING_H

#include "../Piece.h"

class CKing : public CPiece {

  bool performCasteling(class CField *pField, int rookPos);

public:

  CKing(int x, int y, int color);
  ~CKing() { }

  bool performKingsideCasteling(class CField *pField) { return performCasteling(pField, 7); };
  bool performQueensideCasteling(class CField *pField) { return performCasteling(pField, 0); };

  virtual bool canMove(class CField *pField, int destX, int destY) ;
};

#endif
