#include "Knight.h"

CKnight::CKnight(int x, int y, int color)
  : CPiece(Type::KNIGHT, (color == Color::WHITE ? "♘" : "♞"), x, y, color) {
}

bool CKnight::canMove(CField *pField, int destX, int destY) {

  int dirX = destX - m_X;
  int dirY = destY - m_Y;

  // 1 step in first direction, 2 steps in second direction
  return ((abs(dirX) == 2 && abs(dirY) == 1) || (abs(dirX) == 1 && abs(dirY) == 2));
}
